Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: Petr Baudis <[email-masked]>
Date: Tue, 26 Aug 2008 19:10:12 +0200

On Tue, Aug 26, 2008 at 06:45:26PM +0200, Andi Kleen wrote:
> On Tue, Aug 26, 2008 at 06:25:13PM +0200, Petr Baudis wrote:
> > On Tue, Aug 26, 2008 at 06:04:00PM +0200, Matthias Kestenholz wrote:
> > > Correct, but there is a benefit. Imagine a new user:
> > > 
> > > git-<tab><tab> ... what? 140-something commands? I'll better start looking
> > > for alternatives _right now_!
> > 
> > Actually, this is the only realistic argument I can remember at all.
> 
> It's not very convincing, because the bash completions script file for git 
> is installed by default[1] which completes both forms, so the new user will 
> experience instead:
> 
> git<space><tab><tab>.... what? 140-something commands? etc.etc.

No, the point of course is that you should get much less.

It offers 66 commands to me here, though it's still way too many - some
of them are clearly plumbing: count-objects, ls-tree, checkout-index?
Someone should submit a patch! ;-) (After eliminating these, this comes
down to 56 commands - which is still a lot, but the numbers are getting
somewhat sane already.)

				Petr "Pasky" Baudis